Company logoTrust Center Documentation
API v1 ReferenceIntegrationsGoogle docs

List Google Drive items

Returns documents/files/folders from Google Drive using the connected integration and optional parent/search filters. Emits eventName…

Returns documents/files/folders from Google Drive using the connected integration and optional parent/search filters. Emits eventName integrations.google_docs.fetch_documents and failureEventName integrations.google_docs.fetch_documents_failed.

POST
/api/v1/integrations/google-docs

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/google-docs" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "files": [
      {
        "id": "1AbCdEf",
        "name": "SOC 2 Overview",
        "mimeType": "application/vnd.google-apps.document",
        "modifiedTime": "2026-02-25T10:00:00.000Z",
        "webViewLink": "https://docs.google.com/document/d/1AbCdEf/edit",
        "parents": [
          "root"
        ],
        "owners": [
          {
            "displayName": "Jane Doe",
            "emailAddress": "jane@example.com"
          }
        ]
      }
    ],
    "nextPageToken": null
  }
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty
{
  "error": "string",
  "code": "string",
  "data": {}
}
{
  "error": "string",
  "code": "string",
  "data": {}
}
Empty

How is this guide?